Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11RSAPrivateKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key
            |
            +--org.mozilla.jss.pkcs11.PK11PrivKey
                  |
                  +--org.mozilla.jss.pkcs11.PK11RSAPrivateKey

All Implemented Interfaces:
  java.security.Key, java.security.PrivateKey, PrivateKey, java.security.interfaces.RSAKey, java.security.interfaces.RSAPrivateKey, java.io.Serializable

class PK11RSAPrivateKey
extends PK11PrivKey
implements java.security.interfaces.RSAPrivateKey

Nested Class Summary

Nested classes inherited from class org.mozilla.jss.crypto.PrivateKey
`PrivateKey.Type`

Field Summary

Fields inherited from class org.mozilla.jss.pkcs11.PK11PrivKey
`keyProxy`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Fields inherited from interface org.mozilla.jss.crypto.PrivateKey
`DiffieHellman, DSA, RSA`

Constructor Summary
`private` | `PK11RSAPrivateKey()`
`protected` | `PK11RSAPrivateKey(byte[] pointer)`

Method Summary
`java.math.BigInteger` | `getModulus()`
`java.math.BigInteger` | `getPrivateExponent()`
`PrivateKey.Type` | `getType()` Returns the type (RSA or DSA) of this private key.

Methods inherited from class org.mozilla.jss.pkcs11.PK11PrivKey
`fromPrivateKeyInfo, fromPrivateKeyInfo, getAlgorithm, getDSAParams, getEncoded, getFormat, getKeyType, getOwningToken, getStrength, getUniqueID, verifyKeyIsOnToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Constructor Detail

### PK11RSAPrivateKey

    private PK11RSAPrivateKey()

### PK11RSAPrivateKey

    protected PK11RSAPrivateKey(byte[] pointer)

Method Detail

### getType

    public PrivateKey.Type getType()

  Description copied from interface: `PrivateKey`
  Returns the type (RSA or DSA) of this private key.

  Specified by:
    `getType` in interface `PrivateKey`
  Overrides:
    `getType` in class `PK11PrivKey`

### getModulus

    public java.math.BigInteger getModulus()

  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPrivateExponent

    public java.math.BigInteger getPrivateExponent()

  Specified by:
    `getPrivateExponent` in interface `java.security.interfaces.RSAPrivateKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD